package com.plannaplan.repositories;

import com.plannaplan.entities.Course;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface CourseRepository extends JpaRepository<Course, Long> {
    @Query(value = "SELECT * FROM course WHERE name = :name", nativeQuery = true)
    Course findByName(@Param("name") String name);
}