package com.plannaplan.services;

import com.plannaplan.entities.Lecturer;
import com.plannaplan.repositories.LecturerRepository;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class LecturerService {
    @Autowired
    private LecturerRepository repo;

    public Lecturer getLecturer(String title, String name, String surname) {
        return repo.find(title, name, surname);
    }

    public void save(Lecturer lecturer) {
        repo.save(lecturer);
    }
}