package com.plannaplan.types;

public enum WeekDay {
    MONDAY(0), TUESDAY(1), WEDNESDAY(2), THURSDAY(3), FRIDAY(4), SATURDAY(5), SUNDAY(6);

    public final int label;

    private WeekDay(int label) {
        this.label = label;
    }

    public static WeekDay getDay(int index) {
        for (WeekDay d : values()) {
            if (d.label == index) {
                return d;
            }
        }
        return null;
    }
}