package com.plannaplan.models;

import java.util.Dictionary;
import java.util.Iterator;

import org.apache.poi.ss.usermodel.Row;

public class FileData {

    private Dictionary<String, Integer> keys;
    private Iterator<Row> rows;

    public FileData(Dictionary<String, Integer> keys, Iterator<Row> rows) {
        this.setKeys(keys);
        this.setRows(rows);
    }

    public Iterator<Row> getRows() {
        return rows;
    }

    public void setRows(Iterator<Row> rows) {
        this.rows = rows;
    }

    public Dictionary<String, Integer> getKeys() {
        return keys;
    }

    public void setKeys(Dictionary<String, Integer> keys) {
        this.keys = keys;
    }

    public int getIndexOf(String key) {
        int index = this.keys.get(key);
        return index;
    }

}