package com.plannaplan.controllers;

import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;

import com.plannaplan.Controller;
import com.plannaplan.models.ConfigData;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

@RestController
@CrossOrigin
public class ConfigController {

    @Autowired
    private Controller contrl;

    @PostMapping("/config")
    public ResponseEntity<String> configApp(@RequestParam("file") MultipartFile file) {
        try {
            ConfigData data = new ConfigData(null, null, file.getInputStream());
            this.contrl.config(data);
            return new ResponseEntity<>("Sucess", HttpStatus.OK);
        } catch (IOException e) {
            return new ResponseEntity<>(e.getMessage(), HttpStatus.INTERNAL_SERVER_ERROR);
        }
    }

}